#
# spec file for package kolor-manager
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2010-2016 Kai-Uwe Behrmann <ku.b@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# These macros are not present on the target distribution and are provided explicitly here
%define make_jobs %{__make} %{?_smp_mflags} VERBOSE=1

Name:           kolor-manager
Url:            http://www.oyranos.org/kolormanager
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Colour Management Frontend for KDE
License:        BSD-2-Clause
Group:          System/GUI/KDE
Version:        1.1.0
Release:        1.1
Source:         %{name}_%{version}.orig.tar.bz2
Source1:        %{name}_%{version}-1.debian.tar.gz

Requires:       icc-examin
Requires:       oyranos
%if 0%{?suse_version}
Recommends:     oyranos-qcmsevents
%endif
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  libOyranosSynnefo-devel
BuildRequires:  libXcm-devel >= 0.5.4
BuildRequires:  liboyranos-devel >= 0.9.6
%if 0%{?suse_version}
Recommends:     icc-examin
Recommends:     oyranos-qcmsevents
%endif
BuildRequires:  extra-cmake-modules
BuildRequires:  kcmutils-devel
BuildRequires:  kconfig-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  kf5-filesystem
BuildRequires:  ki18n-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kio-devel
BuildRequires:  kitemviews-devel
BuildRequires:  knotifications-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  libQt5DBus-devel
BuildRequires:  libQt5Widgets-devel
BuildRequires:  plasma-framework-devel
BuildRequires:  pkgconfig(xcb-randr)
BuildRequires:  pkgconfig(xrandr)

%description
The KDE5 systemsettings modules provide cross desktop Oyranos Color Management System settings.

%prep
%setup -n %{name}-%{version} -q

%build
%cmake_kf5 -d build
%make_jobs

%install
%cmake_install

%files
%defattr(-,root,root)
%doc README.md
%{_kf5_plugindir}/*.so
%{_kf5_servicesdir}/kcm_km*.desktop
%{_kf5_servicesdir}/settings-kolor-management.desktop

%changelog
* Thu Dec 22 2016 ku.b@gmx.de - 1.1.0
- update to 1.1.0 release
- port core to libOyranosSynnefo
- port to Qt5/KF5
- add Settings::Effect tab
- send native update events on changes to update color server
- [watch libelektra D-Bus update messages][1] and update device list
- fix multibyte string display
- fix showing 2D graph without ICC Examin
- 0001-fix_CMakeLists.patch is integrated upstream and not needed
- 0002-fix-header-includes-for-uint32_t-and-friends.patch is integrated upstream and not needed
- do not set a device profile unquestioned; just view
* Tue Nov 29 2016 olaf@aepfle.de
- Expand macro kde4_runtime_requires only when its available
  to fix quilt setup
* Fri Jun 24 2016 sfalken@opensuse.org
- Added 0002-fix-header-includes-for-uint32_t-and-friends.patch,
  to fix building building. Extracted from git master.
* Fri Jan 30 2015 sfalken@opensuse.org
- Added 0001-fix_CMakeLists.patch, as the INCLUDES breaks building on
  cmake3.   Found solution from gentoo.
  https://www.mail-archive.com/gentoo-commits@lists.gentoo.org/msg90105.html
* Thu May 15 2014 ku.b@gmx.de
- require icc-examin
* Sat May 10 2014 ku.b@gmx.de - 1.0.2
- update to 1.0.2 release
- xcm libraries linking
- update to Oyranos 0.9.5 API changes
* Sat Jan 19 2013 ku.b@gmx.de
- update to 1.0.1 release
* Tue Jan 15 2013 ku.b@gmx.de
- use pkg-kde-tools for debian packages with: dh @ --with kde
* Fri Jan 11 2013 ku.b@gmx.de
- Fix selection of no device related profiles
- Fix missing Taxi results while changing device
- Add cmake Copying file
- bump version
* Fri Jan  4 2013 ku.b@gmx.de
- Display profile graph in information panel
- Add Taxi DB support
- add dist + debsrc targets
- KS: be resonable about capabilities in KDE 4.10
- KS: fix removal of device atom
- update to release 1.0.0
* Fri Nov 16 2012 ku.b@gmx.de
- update to Release 0.99
- update to Oyranos 0.9.x API bko#307542
- includes kolor-server kded
- fixes and minor improvements
- kolor-manager-gcc47.patch was integrated upstream
* Sat Mar 24 2012 dimstar@opensuse.org
- Add kolor-manager-gcc47.patch: Fix build with gcc 4.7.
* Tue Mar  6 2012 Kai-Uwe Behrmann <ku.b@gmx.de> - 691cd53c
- update to recent git
* Mon Feb 27 2012 Kai-Uwe Behrmann <ku.b@gmx.de> - df2beb5e
- update to recent git
* Mon Feb 13 2012 Kai-Uwe Behrmann <ku.b@gmx.de> - r1252330
- require libtool package to build
* Tue Nov 15 2011 Kai-Uwe Behrmann <ku.b@gmx.de> - r1252330
- fix for bug bnc#730109 KolorManager does not pass ICC profile name to Oyranos
- rename visible panel title from Kolor Management to Color Management
- i18n fixes
- adaptions to KDE coding style
* Fri Sep 23 2011 Kai-Uwe Behrmann <ku.b@gmx.de> - r1252330
- Requires oyranos for basic policy files and icon
* Thu Sep 22 2011 cfarrell@suse.com
- license update: BSD-2-Clause
  Use SPDX syntax
* Thu Sep  8 2011 Kai-Uwe Behrmann <ku.b@gmx.de> - r1252330
- switch from PKGCONFIG to pkg_check_modules
* Thu Sep  8 2011 Kai-Uwe Behrmann <ku.b@gmx.de> - r1243368
- skip cmake_kde4 macros as they dont smile with osc ci
- improve icon placing in systemsettings
